<?php

/* ========================================================================
 * $Id: setting.php 2157 2017-06-12 16:27:03Z onez $
 * 
 * Email: www@onez.cn
 * QQ: 6200103
 * HomePage: http://www.onezphp.com
 * ========================================================================
 * Copyright 2016-2017 佳蓝科技.
 * 
 * ======================================================================== */

!defined('IN_ONEZ') && exit('Access Denied');
define('CUR_URL',onez('chat.group.common')->href('/admin/common/setting.php',0));

$item=$G['this']->option();
$G['title']='基本设置';
$btnname='保存';
#初始化表单
$form=onez('admin')->widget('form')
  ->set('title',$G['title'])
  ->set('values',$item)
;
#创建表单项
$form->add(array('type'=>'hidden','key'=>'action','value'=>'save'));

$form->add(array('label'=>'网站名称','type'=>'text','key'=>'sitename','hint'=>'','notempty'=>'','group'=>''));
$form->add(array('label'=>'昵称最大长度','type'=>'text','key'=>'nickname_maxlength','hint'=>'','notempty'=>'','group'=>''));
#$form->add(array('label'=>'进入房间提示语','type'=>'textarea','key'=>'tip_join','hint'=>'','notempty'=>'','group'=>''));
#$form->add(array('label'=>'离开房间提示语','type'=>'textarea','key'=>'tip_leave','hint'=>'','notempty'=>'','group'=>''));


#处理提交
if($onez=$form->submit()){
  $G['this']->option_set($onez);
  onez()->ok('操作成功','reload');
}
onez('admin')->header();
?>
<section class="content-header">
  <h1>
    <?php echo $G['title']?>
  </h1>
  <ol class="breadcrumb">
    <li>
      <a href="<?php echo onez()->href('/')?>">
        <i class="fa fa-dashboard">
        </i>
        管理首页
      </a>
    </li>
    <li class="active">
      <?php echo $G['title']?>
    </li>
  </ol>
</section>
<section class="content">
  <form id="form-common" method="post">
    <div class="box box-info">
      <div class="box-header with-border">
        <h3 class="box-title">
          <?php echo $G['title']?>
        </h3>
        <div class="box-tools pull-right">
        </div>
      </div>
      <div class="box-body">
        <?php echo $form->code()?>
      </div>
      <div class="box-footer clearfix">
        <button type="submit" class="btn btn-primary">
          <?php echo $btnname?>
        </button>
        <!--<a href="<?php echo onez('chat.group.common')->href('/admin/group/group.php')?>" class="btn btn-default">
          返回
        </a>-->
      </div>
    </div>
    <input type="hidden" name="action" value="save" />
  </form>
</section>
<?php
echo $form->js();
onez('admin')->footer();
?>